Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class StartMovieCapture

    java.lang.Object
      StartMovieCapture

All Implemented Interfaces:
  Runnable

    public class StartMovieCapture

extends Object
implements Runnable

Class that is Runnable to start Movie Capture and stop it Copyright Georgia Institute of Technology 2007

Author:
  Barb Ericson ericson@cc.gatech.edu

Constructor Summary
`StartMovieCapture(FrameSequencer sequencer, int framesPerSec, Rectangle area)` Constructor that takes the frame sequencer, number of frames per second, and the region to capture

Method Summary
`void` | `captureMovie()` Method to capture a movie until the stop method is called and sets the active thread to null
`void` | `capturePicture()` Method to capture a picture
`void` | `run()` Method to start the thread
`void` | `stop()` Method to stop the thread

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartMovieCapture

    public StartMovieCapture(FrameSequencer sequencer,
                             int framesPerSec,
                             Rectangle area)

  Constructor that takes the frame sequencer, number of frames per second, and the region to capture

  Parameters:
    `sequencer` - the frame sequencer
    `framesPerSec` - the number of frames per second
    `area` - the region to capture

Method Detail

### capturePicture

    public void capturePicture()

  Method to capture a picture

### captureMovie

    public void captureMovie()

  Method to capture a movie until the stop method is called and sets the active thread to null

### run

    public void run()

  Method to start the thread

  Specified by:
    `run` in interface `Runnable`

### stop

    public void stop()

  Method to stop the thread

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD